# Interface ClusteringBuilder

All Known Implementing Classes:
  `ClusteringBuilderMultiplexer, ClusteringMatrixBuilder, DendrogramBuilder`

public interface ClusteringBuilder
HierarchicalAgglomerativeClusterer.cluster() takes a ClusteringBuilder as its argument, calling its merge() method whenever it merges two clusters.

## Method Summary

Modifier and Type
Method
Description
`void`
`merge(int i, int j, double dissimilarity)`
Merge two clusters.

## Method Details

### merge

void merge(int i, int j, double dissimilarity)
Merge two clusters.

Parameters:
  `i` - the smaller of the two cluster indices
  `j` - the larger of the two cluster indices
  `dissimilarity` - between the two merged clusters